MSpell 1.0.21

A native .net core spellchecker. Compatible with .netcore 1.1, 2.0 and .net framework 4.0, 4.5, 4.5.1, 4.5.2, 4.6.1, 4.6.2 and 4.7

Install-Package MSpell -Version 1.0.21
dotnet add package MSpell --version 1.0.21
<PackageReference Include="MSpell" Version="1.0.21" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add MSpell --version 1.0.21
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Build status

MSpell

Identifies spelling mistakes and suggests replacements.

Getting Started

Install the nuget package to get started.

The usage is:

var spellChecker = new MSpell.SpellChecker();

var dictionary = new List<string> {"moon","soon","mono","windows"};

spellChecker.Train(dictionary);

// To get all word in the dictionry within 1 edit distance

var suggestion = spellChecker.GetSuggestedWords("mon", 1);

// The output is sorted by editdistance, prefixmatch, wordlength in order
The output should be mono,moon.

Versioning

We use appveyor for versioning.

Authors

Musfiqur Rahman

See also the list of contributors who participated in this project.

License

This project is licensed under the MIT License - see the LICENSE.md file for details

Build status

MSpell

Identifies spelling mistakes and suggests replacements.

Getting Started

Install the nuget package to get started.

The usage is:

var spellChecker = new MSpell.SpellChecker();

var dictionary = new List<string> {"moon","soon","mono","windows"};

spellChecker.Train(dictionary);

// To get all word in the dictionry within 1 edit distance

var suggestion = spellChecker.GetSuggestedWords("mon", 1);

// The output is sorted by editdistance, prefixmatch, wordlength in order
The output should be mono,moon.

Versioning

We use appveyor for versioning.

Authors

Musfiqur Rahman

See also the list of contributors who participated in this project.

License

This project is licensed under the MIT License - see the LICENSE.md file for details

Release Notes

Added support for .netcore 1.1, 2.0 and .net framework 4.0, 4.5, 4.5.1, 4.5.2, 4.6.1, 4.6.2 and 4.7

  • .NETCoreApp 1.1

  • .NETCoreApp 2.0

    • No dependencies.
  • .NETFramework 4.0

    • No dependencies.
  • .NETFramework 4.5

    • No dependencies.
  • .NETFramework 4.5.1

    • No dependencies.
  • .NETFramework 4.5.2

    • No dependencies.
  • .NETFramework 4.6.1

    • No dependencies.
  • .NETFramework 4.6.2

    • No dependencies.
  • .NETFramework 4.7

    • No dependencies.

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
1.0.21 501 11/24/2017
1.0.20 319 11/24/2017
1.0.18 283 11/20/2017
1.0.17 258 11/20/2017
1.0.16 244 11/20/2017
1.0.0 271 11/19/2017